Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           game-music-emu
Version:        0.5.5
Release:        alt1_4
Summary:        Video game music file emulation/playback library
License:        LGPLv2+
URL:            http://code.google.com/p/game-music-emu/
Source0:        http://game-music-emu.googlecode.com/files/%{name}-%{version}.tbz2

BuildRequires: ctest cmake
# needed to build the player
BuildRequires:  libSDL-devel
Source44: import.info

%package devel
Group: Other
Summary:        Development files for Game_Music_Emu
Requires:       %{name}%{?_isa} = %{version}

%package player
Group: Other
Summary:        Demo player utilizing Game_Music_Emu
License:        MIT


%description
Game_Music_Emu is a collection of video game music file emulators that support
the following formats and systems:

 * AY       ZX Spectrum/Amstrad CPC
 * GBS      Nintendo Game Boy
 * GYM      Sega Genesis/Mega Drive
 * HES      NEC TurboGrafx-16/PC Engine
 * KSS      MSX Home Computer/other Z80 systems (doesn't support FM sound)
 * NSF/NSFE Nintendo NES/Famicom (with VRC 6, Namco 106, and FME-7 sound)
 * SAP      Atari systems using POKEY sound chip
 * SPC      Super Nintendo/Super Famicom
 * VGM/VGZ  Sega Master System/Mark III, Sega Genesis/Mega Drive,BBC Micro

%description devel
This package contains files needed to compile code which uses Game_Music_Emu.

%description player
This package contains the demo player for files supported by Game_Music_Emu.


%prep
%setup -q
# fix install path on systems with lib64
sed -i -e "s/DESTINATION lib/DESTINATION %{_lib}/" gme/CMakeLists.txt
# add install rule for the player
echo -e "\ninstall(TARGETS gme_player RUNTIME DESTINATION %{_bindir})" >> player/CMakeLists.txt


%build
%{fedora_cmake}
make %{?_smp_mflags}
# explicitly build the player as it has EXCLUDE_FROM_ALL set
make %{?_smp_mflags} gme_player


%install
make install DESTDIR=%{buildroot}
# explicitly install the player as it has EXCLUDE_FROM_ALL set
cd player
make install DESTDIR=%{buildroot}
cd ..


%files
%doc changes.txt license.txt readme.txt
%{_libdir}/libgme.so.*

%files devel
%doc design.txt gme.txt
%{_libdir}/libgme.so
%{_includedir}/gme/

%files player
%{_bindir}/gme_player


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.5-alt1_4
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.5-alt1_3
- initial fc import

